# User creation

This method provides functionality of:

* creating user
* updating data of a previously created user when specifying the same `clientId`. The sent parameter values overwrite the previous data.

When depositing, a [webhook](#webhooks), is sent to the user's personal address, to the `depositWebhookUrl` specified in the request. When withdrawing (the common method of "Make withdrawal" / make-withdrawal) from a personal address, a status of this withdrawal will be in response.

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/api-gateway/personal-addresses/create-user" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/personal_addresses/post_create-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
